"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLoginRedirectableUrl = exports.stopSync = exports.getSyncStatus = exports.syncProject = exports.getProjects = void 0;
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const rest_modules_2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressPortfolioSyncedprojectsSpiHostV1SyncedProjectsServiceUrl(opts) {
    const domainToMappings = {
        'editor._base_domain_': [
            {
                srcPath: '/_api/synced-projects-service',
                destPath: '',
            },
        ],
        'blocks._base_domain_': [
            {
                srcPath: '/_api/synced-projects-service',
                destPath: '',
            },
        ],
        'create.editorx': [
            {
                srcPath: '/_api/synced-projects-service',
                destPath: '',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/_api/synced-projects-service',
                destPath: '',
            },
        ],
    };
    return (0, rest_modules_2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/portfolio_synced-project';
/** Get projects per app */
function getProjects(payload) {
    function __getProjects({ host }) {
        const metadata = {
            entityFqdn: 'wix.portfolio.syncedprojects.v1.synced_project',
            method: 'GET',
            methodFqn: 'com.wixpress.portfolio.syncedprojects.spi_host.v1.SyncedProjectsService.GetProjects',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressPortfolioSyncedprojectsSpiHostV1SyncedProjectsServiceUrl({ protoPath: '/v1/projects/{appDefId}', data: payload, host }),
            params: (0, rest_modules_1.toURLSearchParams)(payload),
            transformResponse: (payload) => (0, transform_paths_1.transformPaths)(payload, [
                {
                    transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
                    paths: [{ path: 'projects.lastSynced' }],
                },
            ]),
        };
        return metadata;
    }
    return __getProjects;
}
exports.getProjects = getProjects;
/** Async Sync project */
function syncProject(payload) {
    function __syncProject({ host }) {
        const metadata = {
            entityFqdn: 'wix.portfolio.syncedprojects.v1.synced_project',
            method: 'POST',
            methodFqn: 'com.wixpress.portfolio.syncedprojects.spi_host.v1.SyncedProjectsService.SyncProject',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressPortfolioSyncedprojectsSpiHostV1SyncedProjectsServiceUrl({
                protoPath: '/v1/projects/{appDefId}/sync/{externalId}',
                data: payload,
                host,
            }),
            data: payload,
            transformResponse: (payload) => (0, transform_paths_1.transformPaths)(payload, [
                {
                    transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
                    paths: [{ path: 'project.lastSynced' }],
                },
            ]),
        };
        return metadata;
    }
    return __syncProject;
}
exports.syncProject = syncProject;
/** Get sync status (when was last synced and etc..) */
function getSyncStatus(payload) {
    function __getSyncStatus({ host }) {
        const metadata = {
            entityFqdn: 'wix.portfolio.syncedprojects.v1.synced_project',
            method: 'GET',
            methodFqn: 'com.wixpress.portfolio.syncedprojects.spi_host.v1.SyncedProjectsService.GetSyncStatus',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressPortfolioSyncedprojectsSpiHostV1SyncedProjectsServiceUrl({
                protoPath: '/v1/projects/{appDefId}/sync/{externalId}/status',
                data: payload,
                host,
            }),
            params: (0, rest_modules_1.toURLSearchParams)(payload),
        };
        return metadata;
    }
    return __getSyncStatus;
}
exports.getSyncStatus = getSyncStatus;
/** Stop sync project */
function stopSync(payload) {
    function __stopSync({ host }) {
        const metadata = {
            entityFqdn: 'wix.portfolio.syncedprojects.v1.synced_project',
            method: 'POST',
            methodFqn: 'com.wixpress.portfolio.syncedprojects.spi_host.v1.SyncedProjectsService.StopSync',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressPortfolioSyncedprojectsSpiHostV1SyncedProjectsServiceUrl({
                protoPath: '/v1/projects/{appDefId}/sync/{externalId}/stop',
                data: payload,
                host,
            }),
            data: payload,
        };
        return metadata;
    }
    return __stopSync;
}
exports.stopSync = stopSync;
/** Get login redirectable url */
function getLoginRedirectableUrl(payload) {
    function __getLoginRedirectableUrl({ host }) {
        const metadata = {
            entityFqdn: 'wix.portfolio.syncedprojects.v1.synced_project',
            method: 'POST',
            methodFqn: 'com.wixpress.portfolio.syncedprojects.spi_host.v1.SyncedProjectsService.GetLoginRedirectableUrl',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressPortfolioSyncedprojectsSpiHostV1SyncedProjectsServiceUrl({ protoPath: '/v1/projects/login/url', data: payload, host }),
            data: payload,
        };
        return metadata;
    }
    return __getLoginRedirectableUrl;
}
exports.getLoginRedirectableUrl = getLoginRedirectableUrl;
//# sourceMappingURL=portfolio-syncedprojects-v1-synced-project-synced-project.http.js.map