import { HttpClient } from '@wix/sdk-types';
import { GetLoginRedirectableUrlResponse, GetLoginRedirectableUrlResponseNonNullableFields, GetProjectsOptions, GetProjectsResponse, GetProjectsResponseNonNullableFields, GetSyncStatusIdentifiers, GetSyncStatusResponse, GetSyncStatusResponseNonNullableFields, StopSyncIdentifiers, StopSyncResponse, StopSyncResponseNonNullableFields, SyncProjectIdentifiers, SyncProjectResponse, SyncProjectResponseNonNullableFields } from './portfolio-syncedprojects-v1-synced-project-synced-project.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function getProjects(httpClient: HttpClient): GetProjectsSignature;
interface GetProjectsSignature {
    /**
     * Get projects per app
     * @param - Provider appDefId
     */
    (appDefId: string, options?: GetProjectsOptions | undefined): Promise<GetProjectsResponse & GetProjectsResponseNonNullableFields>;
}
export declare function syncProject(httpClient: HttpClient): SyncProjectSignature;
interface SyncProjectSignature {
    /**
     * Async Sync project
     */
    (identifiers: SyncProjectIdentifiers): Promise<SyncProjectResponse & SyncProjectResponseNonNullableFields>;
}
export declare function getSyncStatus(httpClient: HttpClient): GetSyncStatusSignature;
interface GetSyncStatusSignature {
    /**
     * Get sync status (when was last synced and etc..)
     */
    (identifiers: GetSyncStatusIdentifiers): Promise<GetSyncStatusResponse & GetSyncStatusResponseNonNullableFields>;
}
export declare function stopSync(httpClient: HttpClient): StopSyncSignature;
interface StopSyncSignature {
    /**
     * Stop sync project
     */
    (identifiers: StopSyncIdentifiers): Promise<StopSyncResponse & StopSyncResponseNonNullableFields>;
}
export declare function getLoginRedirectableUrl(httpClient: HttpClient): GetLoginRedirectableUrlSignature;
interface GetLoginRedirectableUrlSignature {
    /**
     * Get login redirectable url
     * @param - Provider appDefId
     */
    (appDefId: string): Promise<GetLoginRedirectableUrlResponse & GetLoginRedirectableUrlResponseNonNullableFields>;
}
export { ActionEvent, Asset, CursorPaging, Cursors, DeleteContext, DeleteStatus, DomainEvent, DomainEventBodyOneOf, Empty, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, GetLoginRedirectableUrlRequest, GetLoginRedirectableUrlResponse, GetLoginRedirectableUrlResponseNonNullableFields, GetProjectsOptions, GetProjectsRequest, GetProjectsResponse, GetProjectsResponseNonNullableFields, GetSyncStatusIdentifiers, GetSyncStatusRequest, GetSyncStatusResponse, GetSyncStatusResponseNonNullableFields, IdentificationData, IdentificationDataIdOneOf, ItemCreatedMediaCallbackRequest, ItemCreatedMediaCallbackResponse, MediaFileOutput, MediaImageOutput, MediaVideoOutput, MessageEnvelope, MetaSiteSpecialEvent, MetaSiteSpecialEventPayloadOneOf, Namespace, NamespaceChanged, PagingMetadataV2, ProjectCoverImageCreatedMediaCallbackRequest, ProjectCoverImageCreatedMediaCallbackResponse, RestoreInfo, ServiceProvisioned, ServiceRemoved, SiteCreated, SiteCreatedContext, SiteDeleted, SiteHardDeleted, SiteMarkedAsTemplate, SiteMarkedAsWixSite, SitePublished, SiteRenamed, SiteTransferred, SiteUndeleted, SiteUnpublished, State, StopSyncIdentifiers, StopSyncRequest, StopSyncResponse, StopSyncResponseNonNullableFields, StudioAssigned, StudioUnassigned, SyncAllSitesEvent, SyncProjectIdentifiers, SyncProjectPagingEvent, SyncProjectRequest, SyncProjectResponse, SyncProjectResponseNonNullableFields, SyncSiteEvent, SyncStatus, SyncedProject, SyncingProjectEvent, WebhookIdentityType, } from './portfolio-syncedprojects-v1-synced-project-synced-project.universal.js';
